Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class OdaLevelAttribute

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.LevelAttribute
              org.eclipse.birt.report.model.api.elements.structures.OdaLevelAttribute

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class OdaLevelAttribute

extends LevelAttribute

This class represents one attribute of the level element.

This is a managed object, meaning that all changes should be made though the command layer so that they can be undone and redone. Each attribute has the following properties:

Name
  a result set column has an optional name.
Data Type
  a result set column has a choice data type: any, integer, string, data time, decimal, float, structure or table.
Native Name
  ODA defined name, controlled by the driver.
Native Data Type Code
  ODA defined data type, controlled by the driver. It is integer type.

Field Summary
`static java.lang.String` | `NATIVE_DATA_TYPE_MEMBER` Name of the member indicating the native (database) data type code.
`static java.lang.String` | `NATIVE_NAME_MEMBER` The native name for the result set.
`static java.lang.String` | `STRUCTURE_NAME` Name of this structure.

Fields inherited from class org.eclipse.birt.report.model.api.elements.structures.LevelAttribute
`DATA_TYPE_MEMBER, DATE_TIME_ATTRIBUTE_NAME, NAME_MEMBER`

Constructor Summary
`OdaLevelAttribute()`

Method Summary
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String propName)` Returns the value of a structure property represented as a member variable.
`java.lang.Integer` | `getNativeDataType()` Returns the native data type.
`java.lang.String` | `getNativeName()` Returns the native column name.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)` Creates the specific handle of this structure.
`protected void` | `setIntrinsicProperty(java.lang.String propName, java.lang.Object value)` Sets the value of of a structure property represented as a member variable.
`void` | `setNativeDataType(java.lang.Integer dataType)` Sets the result set column native data type.
`void` | `setNativeName(java.lang.String name)` Sets the native oda dataset parameter name.

Methods inherited from class org.eclipse.birt.report.model.api.elements.structures.LevelAttribute
`getDataType, getName, setDataType, setName, validate`

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`copy, equals, getContext, getDefn, getElement, getHandle, getHandle, getListMemberRef, getLocalProperty, getLocalProperty, getObjectDefn, getProperty, getProperty, getReferencableProperty, isDesignTime, isReferencable, setContext, setProperty, setProperty, updateReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRUCTURE_NAME

    public static final java.lang.String STRUCTURE_NAME

  Name of this structure. Matches the definition in the meta-data dictionary.

  See Also:
    Constant Field Values

### NATIVE_DATA_TYPE_MEMBER

    public static final java.lang.String NATIVE_DATA_TYPE_MEMBER

  Name of the member indicating the native (database) data type code.

  See Also:
    Constant Field Values

### NATIVE_NAME_MEMBER

    public static final java.lang.String NATIVE_NAME_MEMBER

  The native name for the result set.

  See Also:
    Constant Field Values

Constructor Detail

### OdaLevelAttribute

    public OdaLevelAttribute()

Method Detail

### handle

    public StructureHandle handle(SimpleValueHandle valueHandle,
                                  int index)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Creates the specific handle of this structure. This handle is always created.

  Overrides:
    `handle` in class `LevelAttribute`
  Parameters:
    `valueHandle` - the value handle of this structure list property this structure is in
    `index` - the position of this structure in structure list
  Returns:
    the handle of this structure.

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String propName)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Returns the value of a structure property represented as a member variable.

  Overrides:
    `getIntrinsicProperty` in class `LevelAttribute`
  Parameters:
    `propName` - name of the property
  Returns:
    the value of the property, or null if the property is not set

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String propName,
                                        java.lang.Object value)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Sets the value of of a structure property represented as a member variable.

  Overrides:
    `setIntrinsicProperty` in class `LevelAttribute`
  Parameters:
    `propName` - the name of the property to set
    `value` - the property value

### getNativeDataType

    public java.lang.Integer getNativeDataType()

  Returns the native data type.

  Returns:
    the result set column native data type.

### setNativeDataType

    public void setNativeDataType(java.lang.Integer dataType)

  Sets the result set column native data type.

  Parameters:
    `dataType` - the native data type to set.

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Specified by:
    `getStructName` in interface `IStructure`
  Overrides:
    `getStructName` in class `LevelAttribute`
  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### setNativeName

    public void setNativeName(java.lang.String name)

  Sets the native oda dataset parameter name.

  Parameters:
    `name` - the native name

### getNativeName

    public java.lang.String getNativeName()

  Returns the native column name.

  Returns:
    native column name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.